blob: 248f66c6fde1f214806cc5e241eae260ffc82e7d [file] [log] [blame]
# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g. crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)
[package]
name = "backtrace"
version = "0.3.8"
authors = ["Alex Crichton <alex@alexcrichton.com>", "The Rust Project Developers"]
description = "A library to acquire a stack trace (backtrace) at runtime in a Rust program.\n"
homepage = "https://github.com/alexcrichton/backtrace-rs"
documentation = "https://docs.rs/backtrace"
readme = "README.md"
license = "MIT/Apache-2.0"
repository = "https://github.com/alexcrichton/backtrace-rs"
[dependencies.addr2line]
version = "0.6.0"
optional = true
[dependencies.cfg-if]
version = "0.1"
[dependencies.cpp_demangle]
version = "0.2.3"
optional = true
default-features = false
[dependencies.findshlibs]
version = "0.3.3"
optional = true
[dependencies.gimli]
version = "0.15.0"
optional = true
[dependencies.memmap]
version = "0.6.2"
optional = true
[dependencies.object]
version = "0.7.0"
optional = true
[dependencies.rustc-demangle]
version = "0.1.4"
[dependencies.rustc-serialize]
version = "0.3"
optional = true
[dependencies.serde]
version = "1.0"
optional = true
[dependencies.serde_derive]
version = "1.0"
optional = true
[features]
coresymbolication = []
dbghelp = ["winapi"]
default = ["libunwind", "libbacktrace", "coresymbolication", "dladdr", "dbghelp"]
dladdr = []
gimli-symbolize = ["addr2line", "findshlibs", "gimli", "memmap", "object"]
kernel32 = []
libbacktrace = ["backtrace-sys"]
libunwind = []
serialize-rustc = ["rustc-serialize"]
serialize-serde = ["serde", "serde_derive"]
unix-backtrace = []
[target."cfg(all(unix, not(target_os = \"fuchsia\"), not(target_os = \"emscripten\"), not(target_os = \"macos\"), not(target_os = \"ios\")))".dependencies.backtrace-sys]
version = "0.1.17"
optional = true
[target."cfg(unix)".dependencies.libc]
version = "0.2"
[target."cfg(windows)".dependencies.winapi]
version = "0.3.3"
features = ["std", "dbghelp", "processthreadsapi", "winnt", "minwindef"]
optional = true